# Class: WifiVlan

## LuCI .network. WifiVlan

A `Network.WifiVlan` class instance represents a vlan on a WifiNetwork.

#### new LuCI.network.WifiVlan()

network.js, line 4542

### Methods

#### getI18n(){string}

network.js, line 4601

  Get a long description string for the wifi vlan.

  ##### Returns:

  Type | Description
  --- | ---
  string | Returns a string containing the vlan id and the vlan name, if it is different than the vlan id

#### getIfname(){string}

network.js, line 4590

  Get the Linux network device name of the wifi vlan.

  ##### Returns:

  Type | Description
  --- | ---
  string | Returns the current network device name for this wifi vlan.

#### getName(){string}

network.js, line 4560

  Get the name of the wifi vlan.

  ##### Returns:

  Type | Description
  --- | ---
  string | Returns the name.

#### getNetwork(){string}

network.js, line 4580

  Get the network of the wifi vlan.

  ##### Returns:

  Type | Description
  --- | ---
  string | Returns the network.

#### getVlanId(){number}

network.js, line 4570

  Get the vlan id of the wifi vlan.

  ##### Returns:

  Type | Description
  --- | ---
  number | Returns the vlan id.